# norootforbuild
%define Werror_cflags %nil
%define distsuffix      plf


Name: 		darkplaces
Summary: 	Multiplayer, deathmatch oriented first person shooter engine
Version: 	rev20080511
Release: 	%mkrel 1
License: 	GPLv2+
Vendor:         Penguin Liberation Front
Packager:       Zombie Ryushu <ryushu@zarb.org>
Group: 		Amusements/Games/3D/Shoot
URL: 		http://icculus.org/twilight/darkplaces/
Source: 	darkplaces-rev20080511.tar.lzma
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires: 	ImageMagick file lzma
BuildRequires: 	SDL-devel GL-devel unzip
BuildRequires: 	alsa-lib-devel
# This is necessary as these libraries are loaded during runtime
# and therefore it isn't picked up by RPM during build
Requires: 	zlib libvorbis libjpeg curl
Provides: 	nexuiz-engine = 242

%description
Darkplaces is a modern, powerful first-person shooter engine.

This package is in PLF because it requires non-free data.

%package server
Group: Amusements/Games
Summary: Dedicated server for the darkplaces engine
# This is necessary as these libraries are loaded during runtime
# and therefore it isn't picked up by RPM during build
Requires: 	zlib curl
Provides: 	nexuiz-engine = 242

%description server
Darkplaces is a modern, powerful first-person shooter engine.

This is the darkplaces dedicated server required to host network games.


%prep
%setup -q

%build
%{__make} release OPTIM_RELEASE="$RPM_OPT_FLAGS"

%install

# Install the main programs
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 0755 darkplaces-glx \
        %{buildroot}%{_bindir}/darkplaces-glx
%{__install} -m 0755 darkplaces-sdl \
        %{buildroot}%{_bindir}/darkplaces-sdl
%{__install} -m 0755 darkplaces-dedicated \
        %{buildroot}%{_bindir}/darkplaces-dedicated

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING darkplaces.txt
%{_bindir}/darkplaces-glx
%{_bindir}/darkplaces-sdl

%files server
%defattr(-,root,root,-)
%doc COPYING darkplaces.txt
%{_bindir}/darkplaces-dedicated

%changelog
* Sat Feb 14 2009 muhammedu@gmail.com
- Initial package based on a previous build
- NOTE: I am the only one you should ask about
-       THIS package! Do not email the others
-       mentioned below!
- Only build darkplaces without nexuiz
* Fri Feb 13 2009 nesnomis@gmail.com
- rebuild for opensuse 11.1
* Wed May 21 2008 claes.backstrom@fsfe.org
- Initial package
